Subject: Re: GSoC Application [ Parallelism + Git.pm ]

From: Thomas Rast <[email-masked]>
Date: Wed, 21 Mar 2012 13:47:26 +0100

Subho Banerjee <[email-masked]> writes:

> * In the first one, which wants to parallelize certain commands in
> git, I believe  the major challenges will be to actually find a large
> list of commands which can be parallelized.In addition to the commands
> mentioned in the Ideas page, only other place I currently think of
> exploiting parallelism is in traversing the commit tree when one is
> cloning a repository. I would really like it if someone can suggest
> more places where this sort of parallelism might be usable, so that I
> could use that to make a more complete application. I believe one of
> the major difficulties I will initially face, is my unfamiliarity with
> the code. This makes finding these commands which might have better
> performance with parallelism a little difficult.

Please read my reply to Felipe in the other thread:

  http://thread.gmane.org/gmane.comp.version-control.git/193352/focus=193574

as I'd have to repeat myself.

-- 
Thomas Rast
trast@{inf,student}.ethz.ch